Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Derivatives REST
cURL
curl --request GET \ --url https://futures.kraken.com/derivatives/api/v3/subaccount/{subaccountUid}/trading-enabled \ --header 'APIKey: <api-key>' \ --header 'Authent: <api-key>'
import requestsurl = "https://futures.kraken.com/derivatives/api/v3/subaccount/{subaccountUid}/trading-enabled"headers = { "APIKey": "<api-key>", "Authent": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {APIKey: '<api-key>', Authent: '<api-key>'}};fetch('https://futures.kraken.com/derivatives/api/v3/subaccount/{subaccountUid}/trading-enabled', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://futures.kraken.com/derivatives/api/v3/subaccount/{subaccountUid}/trading-enabled" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("APIKey", "<api-key>") req.Header.Add("Authent", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
{ "tradingEnabled": true }
Returns trading capability info for given subaccount.
General API key with full access
Authentication string
Trading enabled status.
Was this page helpful?